summaryrefslogtreecommitdiff
path: root/dev-python/python-box
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-box')
-rw-r--r--dev-python/python-box/python-box-7.0.1.ebuild12
1 files changed, 12 insertions, 0 deletions
diff --git a/dev-python/python-box/python-box-7.0.1.ebuild b/dev-python/python-box/python-box-7.0.1.ebuild
index 0ad78dfa9525..49cc6026b762 100644
--- a/dev-python/python-box/python-box-7.0.1.ebuild
+++ b/dev-python/python-box/python-box-7.0.1.ebuild
@@ -38,3 +38,15 @@ BDEPEND="
"
distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # looks like broken tests
+ # https://github.com/cdgriffith/Box/issues/257
+ test/test_box.py::TestBox::test_box_kwargs_should_not_be_included
+ test/test_box.py::TestBox::test_box_namespace
+ )
+
+ rm -rf box || die
+ epytest
+}